onEvent('recipes', (event) => {

    const id_prefix = 'modularrouter:kubejs/shaped';

    const recipes = [
        {
            output: '2x modularrouters:speed_upgrade',
            pattern: [
                'AAA',
                'BCA',
                ' BA'
            ],
            keys: {
                A: 'kubejs:temporal_shard',
                B: 'modularrouters:blank_upgrade',
                C: Ingredient.customNBT('immersivepetroleum:oil_can', (tag) => {
                    return (tag.Fluid.FluidName=='immersivepetroleum:lubricant');
                }).toJson()
            },
            id: 'speed_upgrade'
        }
    ];

    recipes.forEach(recipe => {
        event.shaped(recipe.output,recipe.pattern,recipe.keys).id(`${id_prefix}/${recipe.id}`)
    })

});